QuantLib: Gaussian1dNonstandardSwaptionEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | Protected Member Functions | List of all members
Gaussian1dNonstandardSwaptionEngine Class Reference
Pricing engines » Swaption engines

One factor model non standard swaption engine. More...

`#include <ql/pricingengines/swaption/gaussian1dnonstandardswaptionengine.hpp>`

Inheritance diagram for Gaussian1dNonstandardSwaptionEngine:
[legend]

## Public Types
enum | Probabilities { None, Naive, Digital }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions
| Gaussian1dNonstandardSwaptionEngine (const boost::shared_ptr< Gaussian1dModel > &model, const int integrationPoints=64, const Real stddevs=7.0, const bool extrapolatePayoff=true, const bool flatPayoffExtrapolation=false, const Handle< Quote > &oas=Handle< Quote >(), const Handle< YieldTermStructure > &discountCurve=Handle< YieldTermStructure >(), const Probabilities probabilities=None)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< Gaussian1dModel, NonstandardSwaption::arguments, NonstandardSwaption::results >
| GenericModelEngine (const Handle< Gaussian1dModel > &model=Handle< Gaussian1dModel >())
| GenericModelEngine (const boost::shared_ptr< Gaussian1dModel > &model)
Public Member Functions inherited from GenericEngine< NonstandardSwaption::arguments, NonstandardSwaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Protected Member Functions
Real | underlyingNpv (const Date &expiry, const Real y) const
VanillaSwap::Type | underlyingType () const
const Date | underlyingLastDate () const
const Disposable< Array > | initialGuess (const Date &expiry) const

## Additional Inherited Members
Protected Attributes inherited from GenericModelEngine< Gaussian1dModel, NonstandardSwaption::arguments, NonstandardSwaption::results >
Handle< Gaussian1dModel > | model_
Protected Attributes inherited from GenericEngine< NonstandardSwaption::arguments, NonstandardSwaption::results >
NonstandardSwaption::arguments | arguments_
NonstandardSwaption::results | results_

## Detailed Description

One factor model non standard swaption engine.

All fixed coupons with start date greater or equal to the respective option expiry are considered to be part of the exercise into right.

All float coupons with start date greater or equal to the respective option expiry are consideres to be part of the exercise into right.

For redemption flows an associated start date is considered in the criterion, which is the start date of the regular xcoupon period with same payment date as the redemption flow.

Warning:
  Cash settled swaptions are not supported